import { BrowserWindow } from './browser-window';
import { Menu, MenuItem } from './menu';
import Dialog from './dialog';
import './async-node';
declare class NativeException extends Error {
    constructor(name: string, message: string);
}
declare const _default: {
    app: import("./app").App;
    BrowserWindow: typeof BrowserWindow;
    webViews: {
        getAllWebViews(): import("./webview").WebView[];
        getAllWebContents(): import("./webview").WebView[];
        getFocusedWebContents(): import("./webview").WebView | null;
        getFocusedWebView(): import("./webview").WebView | null;
        fromId(id: number): import("./webview").WebView | null;
    };
    webContents: {
        getAllWebViews(): import("./webview").WebView[];
        getAllWebContents(): import("./webview").WebView[];
        getFocusedWebContents(): import("./webview").WebView | null;
        getFocusedWebView(): import("./webview").WebView | null;
        fromId(id: number): import("./webview").WebView | null;
    };
    Menu: typeof Menu;
    MenuItem: typeof MenuItem;
    messageNode: import("../common/events").EventEmitter<any, import("./webview").WebView>;
    ipcMain: import("../common/events").EventEmitter<any, import("./webview").WebView>;
    systemPreferences: import("./system-preferences").SystemPreference;
    dialog: typeof Dialog;
    NativeException: typeof NativeException;
    shell: {
        openExternal: (url: string) => boolean;
    };
};
export = _default;
